import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxFiraFont } from '../../chtml.js';
import { H } from 'mathjax-full/mjs/output/common/Direction.js';
MathJaxFiraFont.dynamicSetup('', 'accents', AddFontIds({
    '': {
        'normal': {
            0xB8: [.016, .241, .275],
            0x2B0: [.781, -.4, .309],
            0x2B1: [.779, -.4, .309],
            0x2B2: [.804, -.291, .203],
            0x2B4: [.666, -.393, .242],
            0x2B7: [.665, -.4, .467],
            0x2B8: [.665, -.289, .344],
            0x2B9: [.689, -.427, .304],
            0x2BA: [.689, -.427, .454],
            0x2BB: [.85, -.587, .204],
            0x2BC: [.753, -.49, .228],
            0x2BF: [.836, -.624, .174],
            0x2C0: [.846, -.611, .262],
            0x2C8: [.858, -.626, .147],
            0x2CC: [-.072, .304, .147],
            0x2CE: [-.049, .205, .3],
            0x2CF: [-.049, .205, .3],
            0x2D0: [.487, 0, .247],
            0x2D1: [.487, -.333, .247],
            0x2D4: [.409, -.19, .424],
            0x2D6: [.467, -.13, .461],
            0x2D7: [.334, -.265, .462],
            0x2DB: [.033, .232, .263, { ic: .005 }],
            0x2DD: [.797, -.592, .366],
            0x2DE: [.527, -.313, .394, { ic: .02 }],
            0x2E0: [.665, -.29, .348],
            0x2E1: [.78, -.391, .186],
            0x2E2: [.673, -.391, .306],
            0x2E3: [.665, -.4, .348],
            0x2E4: [.779, -.4, .327],
            0x2E5: [.689, 0, .344],
            0x2E6: [.689, 0, .344],
            0x2E7: [.689, 0, .344],
            0x2E8: [.689, 0, .344],
            0x2E9: [.689, 0, .344],
            0x2EE: [.748, -.511, .374],
            0x309: [.846, -.611, 0, { dx: .131 }],
            0x30B: [.832, -.634, 0, { dx: .183 }],
            0x30D: [.858, -.626, 0, { dx: .073 }],
            0x30F: [.832, -.634, 0, { dx: .183 }],
            0x311: [.76, -.614, 0, { dx: .181 }],
            0x312: [.802, -.583, 0, { dx: .09 }],
            0x313: [.802, -.583, 0, { dx: .09 }],
            0x316: [-.049, .205, 0, { dx: .15 }],
            0x317: [-.049, .205, 0, { dx: .15 }],
            0x318: [-.063, .353, 0, { dx: .132 }],
            0x319: [-.063, .353, 0, { dx: .133 }],
            0x31A: [.779, -.594, 0, { dx: .121, sk: .029 }],
            0x31B: [.607, -.417, 0, { dx: .097 }],
            0x31C: [-.064, .276, 0, { dx: .087 }],
            0x31D: [-.091, .31, 0, { dx: .18 }],
            0x31E: [-.091, .31, 0, { dx: .18 }],
            0x31F: [-.082, .323, 0, { dx: .157 }],
            0x320: [-.171, .236, 0, { dx: .157 }],
            0x321: [.001, .213, 0, { dx: .163 }],
            0x323: [-.074, .199, 0, { dx: .095 }],
            0x324: [-.078, .192, 0, { dx: .193 }],
            0x325: [-.064, .276, 0, { dx: .144 }],
            0x326: [-.077, .296, 0, { dx: .09 }],
            0x327: [.016, .241, 0, { dx: .138 }],
            0x328: [.033, .232, 0, { dx: .132 }],
            0x329: [-.072, .304, 0, { dx: .086 }],
            0x32A: [-.091, .24, 0, { dx: .17 }],
            0x32B: [-.061, .197, 0, { dx: .221 }],
            0x32C: [-.071, .226, 0, { dx: .196 }],
            0x32D: [-.068, .226, 0, { dx: .196 }],
            0x32F: [-.05, .196, 0, { dx: .181 }],
            0x330: [-.066, .184, 0, { dx: .197 }],
            0x331: [-.104, .173, 0, { dx: .167 }],
            0x332: [-.104, .173, 0, { dx: .235 }],
            0x334: [.384, -.25, 0, { sk: -.239 }],
            0x335: [.352, -.274, 0, { sk: -.202 }],
            0x336: [.352, -.274, 0, { sk: -.393 }],
            0x337: [.597, -.062, 0, { sk: -.236 }],
            0x339: [-.063, .275, 0, { dx: .086 }],
            0x33A: [-.091, .24, 0, { dx: .17 }],
            0x33B: [-.068, .24, 0, { dx: .17 }],
            0x33C: [-.06, .196, 0, { dx: .221 }],
            0x33D: [.838, -.6, 0, { dx: .174 }],
            0x342: [.774, -.656, 0, { dx: .197 }],
            0x345: [-.039, .19, 0, { dx: .136 }],
            0x35C: [-.027, .212, 0, { dx: 0 }],
            0x361: [.794, -.609, 0, { dx: .001 }],
            0x1DC4: [.782, -.608, 0, { dx: .205 }],
            0x1DC5: [.782, -.608, 0, { dx: .205 }],
            0x1DC6: [.746, -.589, 0, { dx: .205 }],
            0x1DC7: [.746, -.589, 0, { dx: .205 }],
            0x1DC8: [.795, -.653, 0, { dx: .235 }],
            0x1DC9: [.795, -.653, 0, { dx: .235 }],
            0x20D3: [.45, .182, 0, { sk: -.2 }],
            0x20E7: [.692, .182, 0, { sk: -.43 }],
            0x20E8: [-.078, .192, 0, { dx: .287 }],
            0x20E9: [.783, -.634, 0, { dx: .245 }],
            0x20F0: [.85, -.566, 0, { dx: .179 }]
        }
    }
}, 'FIRA'), {
    0x332: {
        dir: H,
        sizes: [0],
        stretch: [0, 0x332],
        HDW: [-0.104, 0.173, 0],
        hd: [-.104, .173]
    }
});
//# sourceMappingURL=accents.js.map