import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxFiraFont } from '../../chtml.js';
import { V } from 'mathjax-full/mjs/output/common/Direction.js';
MathJaxFiraFont.dynamicSetup('', 'stretchy', AddFontIds({
    '': {
        'normal': {
            0x221B: [.952, .2, .693, { ic: .015 }],
            0x221C: [.952, .2, .693, { ic: .015 }]
        },
        '-smallop': {
            0x221B: [1.176, .294, .713, { ic: .015 }],
            0x221C: [1.176, .294, .713, { ic: .015 }]
        },
        '-largeop': {
            0x221B: [1.4, .387, .734, { ic: .015 }],
            0x221C: [1.4, .387, .734, { ic: .015 }]
        },
        '-size3': {
            0x221B: [1.624, .48, .754, { ic: .015 }],
            0x221C: [1.624, .48, .754, { ic: .015 }]
        },
        '-size4': {
            0x221B: [1.848, .574, .775, { ic: .015 }],
            0x221C: [1.848, .574, .775, { ic: .015 }]
        },
        '-size5': {
            0x221B: [2.072, .667, .795, { ic: .015 }],
            0x221C: [2.072, .667, .795, { ic: .015 }]
        },
        '-size6': {
            0x221B: [2.296, .76, .816, { ic: .015 }],
            0x221C: [2.296, .76, .816, { ic: .015 }]
        },
        '-size7': {
            0x221B: [2.52, .854, .836, { ic: .015 }],
            0x221C: [2.52, .854, .836, { ic: .015 }]
        },
        '-size8': {
            0x221B: [2.744, .947, .857, { ic: .015 }],
            0x221C: [2.744, .947, .857, { ic: .015 }]
        },
        '-size9': {
            0x221B: [2.968, 1.04, .877, { ic: .015 }],
            0x221C: [2.968, 1.04, .877, { ic: .015 }]
        },
        '-size10': {
            0x221B: [3.192, 1.134, .898, { ic: .015 }],
            0x221C: [3.192, 1.134, .898, { ic: .015 }]
        },
        '-size11': {
            0x221B: [3.416, 1.227, .918, { ic: .015 }],
            0x221C: [3.416, 1.227, .918, { ic: .015 }]
        },
        '-size12': {
            0x221B: [3.64, 1.32, .939, { ic: .015 }],
            0x221C: [3.64, 1.32, .939, { ic: .015 }]
        },
        '-size13': {
            0x221B: [3.864, 1.414, .959, { ic: .015 }],
            0x221C: [3.864, 1.414, .959, { ic: .015 }]
        },
        '-size14': {
            0x221B: [4.088, 1.507, .98, { ic: .015 }],
            0x221C: [4.088, 1.507, .98, { ic: .015 }]
        },
        '-size15': {
            0x221B: [4.312, 1.6, 1.001, { ic: .015 }],
            0x221C: [4.312, 1.6, 1.001, { ic: .015 }]
        },
        '-lf-tp': {
            0x221B: [1.6, 0, 1.085, { ic: .015 }],
            0x221C: [1.6, 0, 1.085, { ic: .015 }]
        },
        '-rt-bt': {
            0x221B: [3.8, 0, 1.085],
            0x221C: [3.8, 0, 1.085]
        },
        '-ext': {
            0x221B: [.6, 0, 1.085],
            0x221C: [.6, 0, 1.085]
        }
    }
}, 'FIRA'), {
    0x221B: {
        dir: V,
        sizes: [1.153, 1.471, 1.788, 2.105, 2.423, 2.74, 3.057, 3.375, 3.692, 4.009, 4.327, 4.644, 4.961, 5.279, 5.596, 5.913],
        stretch: [0x221B, 0x221B, 0x221B],
        stretchv: [2, 1, 3],
        HDW: [.952, .2, 1.085]
    },
    0x221C: {
        dir: V,
        sizes: [1.153, 1.471, 1.788, 2.105, 2.423, 2.74, 3.057, 3.375, 3.692, 4.009, 4.327, 4.644, 4.961, 5.279, 5.596, 5.913],
        stretch: [0x221C, 0x221C, 0x221C],
        stretchv: [2, 1, 3],
        HDW: [.952, .2, 1.085]
    }
});
//# sourceMappingURL=stretchy.js.map